For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
        • Abandoned Carts
        • Carts
        • Channels
        • Checkouts
        • Currencies
        • Customer Segmentation
        • Geography
        • Infrastructure Hosting
        • Inventory
              • POSTCreate Locations
              • GETList Locations
              • PUTUpdate Locations
              • DELDelete Locations
        • Orders
        • Order Operations
        • Pickup
        • Pickup Methods
        • Pickup Options
        • Pricing
        • Price Lists
        • Promotions
        • Promotion Settings
        • Redirects
        • Scripts
        • Settings
        • Shipping
        • Sites
        • Subscribers
        • System Logs
        • Tax
        • Wishlists
      • Payments
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTAdminManagementInventoryLocations

List Locations

GET
https://api.bigcommerce.com/stores/:store_hash/v3/inventory/locations
GET
/stores/:store_hash/v3/inventory/locations
$curl https://api.bigcommerce.com/stores/store_hash/v3/inventory/locations \
> -H "Accept: application/json" \
> -H "X-Auth-Token: <apiKey>"
200Retrieved
1{
2 "data": [
3 {
4 "id": 2,
5 "code": "BIGC-1",
6 "label": "Central store",
7 "description": "Central shop of the world",
8 "managed_by_external_source": false,
9 "type_id": "PHYSICAL",
10 "enabled": true,
11 "operating_hours": {
12 "sunday": {
13 "open": false,
14 "opening": "08:00",
15 "closing": "16:00"
16 },
17 "monday": {
18 "open": false,
19 "opening": "08:00",
20 "closing": "16:00"
21 },
22 "tuesday": {
23 "open": false,
24 "opening": "08:00",
25 "closing": "16:00"
26 },
27 "wednesday": {
28 "open": false,
29 "opening": "08:00",
30 "closing": "16:00"
31 },
32 "thursday": {
33 "open": false,
34 "opening": "08:00",
35 "closing": "16:00"
36 },
37 "friday": {
38 "open": false,
39 "opening": "08:00",
40 "closing": "16:00"
41 },
42 "saturday": {
43 "open": false,
44 "opening": "08:00",
45 "closing": "16:00"
46 }
47 },
48 "time_zone": "Etc/GMT+12",
49 "created_at": "2022-05-30T12:18:02Z",
50 "updated_at": "2022-05-30T12:18:02Z",
51 "address": {
52 "address1": "Central Park",
53 "address2": "string",
54 "city": "New York City",
55 "state": "NY",
56 "zip": "11111",
57 "email": "test@example.com",
58 "phone": "800-555-0198",
59 "geo_coordinates": {
60 "latitude": 11,
61 "longitude": 8
62 },
63 "country_code": "US"
64 },
65 "storefront_visibility": true,
66 "special_hours": [
67 {
68 "label": "Thanksgiving",
69 "date": "2022-09-29",
70 "open": true,
71 "opening": "09:00",
72 "closing": "09:00",
73 "all_day": false,
74 "annual": false
75 }
76 ]
77 }
78 ],
79 "meta": {
80 "pagination": {
81 "total": 2,
82 "count": 2,
83 "per_page": 100,
84 "current_page": 1,
85 "total_pages": 1,
86 "links": {
87 "previous": "?limit=100&page=1",
88 "current": "?limit=100&page=1",
89 "next": "?limit=100&page=1"
90 }
91 }
92 }
93}
List locations. You can use optional filter parameters. **Limits** * Limit of 50 concurrent requests. * Limit of 1000 items for payload length.
Was this page helpful?
Previous

Create Locations

Next

Update Locations

Built with

List locations. You can use optional filter parameters.

Limits

  • Limit of 50 concurrent requests.
  • Limit of 1000 items for payload length.

Authentication

X-Auth-Tokenstring
### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Store Inventory | read-only | `store_inventory_read_only` | | Store Inventory | modify | `store_inventory` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see [API Accounts and OAuth Scopes](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts). For more about BigCommerce OAuth scopes, see [API Accounts and OAuth Scopes](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

Path parameters

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json
The [MIME type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) of the response body.

Query parameters

location_id:inintegerOptional

Comma separated list of location_id.

location_code:instringOptional

Comma separated list of location_code.

is_defaultbooleanOptional
Filter whether the location is the default.
type_id:instringOptional
Comma separated list of locations type codes.
managed_by_external_sourcebooleanOptional
Filter whether an external source manages location inventory levels.
is_activebooleanOptional

Filter by active locations flag; return both if not specified.

storefront_visibilitybooleanOptional

Filter by storefront_visibility flag; return both if not specified.

pageintegerOptional

Specifies the page number in a limited (paginated) list of products.

limitintegerOptional

Controls the number of items per page in a limited (paginated) list of products.

Response

The request has been successfully processed.
datalist of objects
metaobject

OAuth scopes

UI NamePermissionParameter
Store Inventoryread-onlystore_inventory_read_only
Store Inventorymodifystore_inventory

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see API Accounts and OAuth Scopes.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see API Accounts and OAuth Scopes.

For a list of API status codes, see API Status Codes.

The MIME type of the response body.